include	clib.inc
include stdio.inc

PPROC	setbuf, fp:DPTR, buf:DPTR
	MPUSH	word ptr buf+2
	push	word ptr buf
	MPUSH	word ptr fp+2
	push	word ptr fp
	push	_IOFBF
	push	_MINIOBUF
	call	setvbuf
	ret
PEND	setbuf

	END
